#ifndef __CLOUD_H
#define __CLOUD_H

#include <particle.h>
#include <texture.h>

#define CLOUD_PIC "data/smoke.bmp"

class Cloud : public Particle {
private:
    Texture *gfx;       // just a pointer to CloudEngine::gfx
    float origx, origy, origz;
    float size;
    int draw_list;
public:
    Cloud(Texture *newgfx, float nx, float ny, float nz);
    ~Cloud();
    void Draw();
    void Calc();
    void ReInit(float nx, float ny, float nz);
};

class CloudEngine : public ParticleEngine {
private:
    Texture *gfx;       // loads here
    float spread_x, spread_y;
public:
    CloudEngine(int newNrParticles, float sx, float sy, float nx, float ny, float nz);
    ~CloudEngine();

    void Draw();
    void Calc();
};

#endif
