#ifndef __SMOKE_H
#define __SMOKE_H

#include <particle.h>
#include <texture.h>

#define SMOKE_PIC "data/smoke.bmp"

class Smoke : public Particle {
private:
    Texture *gfx;       // just a pointer to SmokeEngine::gfx
    float alpha_decay;
    float size, growth;
    float origx, origy, origz;
public:
    Smoke(Texture *newgfx, float nx, float ny, float nz);
    ~Smoke();
    void Draw();
    void Calc();
    void ReInit(float nx, float ny, float nz);
};

class SmokeEngine : public ParticleEngine {
private:
    Texture *gfx;       // loads here
public:
    SmokeEngine(int newNrParticles, float nx, float ny, float nz);
    ~SmokeEngine();

    void Draw();
    void Calc();
};

#endif
